Ask Your Question
0

¿How to upgrade to Fedora 26? I have conflicts

asked 2017-07-13 14:22:55 -0600

updated 2017-07-14 14:55:54 -0600

ssieb gravatar image

I try to upgrade from Fedora 25 to Fedora 26 but when I use dnf --allowerasing -y system-upgrade download --releasever = 26 I get errors

Error: Transaction check error:
The /usr/lib/mono/gac/dbus-sharp/2.0.0.0__5675b0c3093115b5/dbus-sharp.dll file for the dbus-sharp-1 installation: 0.8.1-1.fc26.x86_64 conflicts with the file Of the package dbus-sharp2-0.8.1-1.fc25.x86_64
The /usr/lib/mono/gac/dbus-sharp/2.0.0.0__5675b0c3093115b5/dbus-sharp.dll.mdb file for the dbus-sharp-1 installation: 0.8.1-1.fc26.x86_64 conflicts with The package file dbus-sharp2-0.8.1-1.fc25.x86_64

The error is that the update conflicts with dbus-sharp2-0.8.1-1.fc25.x8664 to update it to dbus-sharp2-0.8.1-1.fc26.x8664 Any suggestion? Help!!

edit retag flag offensive close merge delete

Comments

1

Sort of a work around, remove the package, then upgrade and reinstall

bodhi.zazen gravatar imagebodhi.zazen ( 2017-07-13 18:28:51 -0600 )edit

2 Answers

Sort by » oldest newest most voted
1

answered 2017-07-14 15:02:55 -0600

ssieb gravatar image

updated 2017-07-14 15:06:11 -0600

Where did that dbus-sharp2 package come from because that is not in the Fedora repos? What is the output from rpm -qi dbus-sharp2? I would recommend removing that package and then doing the upgrade.

There is no dbus-sharp-1 either. What does dnf repolist show?

edit flag offensive delete link more
0

answered 2017-10-12 01:50:21 -0600

Pája gravatar image

This error was caused by "Docky" extension on my Fedora. Just remove it and run update again.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2017-07-13 14:22:55 -0600

Seen: 178 times

Last updated: Jul 14 '17